Subject: bug#39584: evolution: involid page id error when composing emails

From: Marius Bakke <[email-masked]>
Date: Fri, 14 Feb 2020 17:07:09 +0100

Christopher Howard <[email-masked]> writes:

> Hi, I use evolution heavily, current 3.32.4 from Guix. I updated my
> guix user packages and guix system about a week ago. When composing
> emails, I occasionally see an error similar to this appear in a box
> above the message composition area:
>
> gdbus.error:org.freedesktop.dbus.error.invalidargs: invalid page id:
> 165
>
> While the error is there, I cannot save the email to drafts or send it.
> To resolve, I must copy the email contents to another program, then
> restart evolution to create the email again. It seems to be very
> random, but I'd guess it happens once about every five to ten emails I
> send.

Searching the web for the error message leads to these bug reports:

https://bugzilla.redhat.com/show_bug.cgi?id=1757243
https://gitlab.gnome.org/GNOME/evolution/issues/587

Apparently Evolution does not work properly with WebKitGTK 2.26.
Backporting all the upstream changes looks cumbersome, but I suppose we
could do something like this until we have GNOME 3.34:

https://src.fedoraproject.org/rpms/webkit2gtk3/blob/f30/f/webkit-process.patch

Thoughts?  Are you able to give it a try?

Thanks,
Marius